# $Revision: 1.5 $, $Date: 2005/03/27 22:15:13 $
Summary:	GNOME Application Libs (GAL)
Summary(pl):	Biblioteki Aplikacji GNOME (GAL)
Summary(pt_BR):	G App Libs: Biblioteca para uso em aplicativos GNOME
Summary(ru):	     GNOME
Summary(uk):	̦   Ԧ  GNOME
Name:		gal1
Version:	0.24
Release:	4
Epoch:		1
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gnome.org/pub/gnome/sources/gal/%{version}/gal-%{version}.tar.bz2
# Source0-md5:	9f9790d4e8763c4ce74e5d59f47aa509
Patch0:		%{name}-am15.patch
Patch1:		%{name}-locale-names.patch
Patch2:		%{name}-iconv-in-libc.patch
Patch3:		%{name}-link.patch
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	gdk-pixbuf-gnome-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel >= 1.2.12
BuildRequires:	gnome-print-devel >= 0.28
BuildRequires:	gnome-vfs-devel >= 1.0
BuildRequires:	gtk+-devel >= 1.2.7
BuildRequires:	intltool
BuildRequires:	libglade-devel >= 0.13
BuildRequires:	libglade-gnome-devel >= 0.13
BuildRequires:	libtool
BuildRequires:	libxml-devel >= 1.8.8
BuildRequires:	sed >= 4.0
Obsoletes:	libgal19
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This the GNOME Application Libs (GAL). This module contains some
library functions that came from Gnumeric and Evolution. The idea is
to reuse those widgets across various larger GNOME applications that
might want to use these widgets.

%description -l pl
Pakiet zawiera funkcje pochodzce z programw Gnumeric i Evolution.
Ide tej biblioteki jest uywanie tych funkcji i wigetw w innych
programach GNOME.

%description -l pt_BR
Este mdulo contm algumas funes de biblioteca que vinham com o
Gnumeric e com o Evolution. A idia  reutilizar estes componentes em
uma srie de aplicaes GNOME maiores.

%description -l ru
  G App Libs (GAL).    
,   Gnumeric  Evolution.   , 
      GNOME,  
   .

%description -l uk
  G App Libs (GAL).  ͦ ˦ ¦̦Φ æ, 
 צ Gnumeric  Evolution.   ,   
צ    GNOME,  æ צ    
Ħ.

%package devel
Summary:	gal header files and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja gala
Summary(pt_BR):	Arquivos de incluso do gal
Summary(ru):	    gal
Summary(uk):	̦    gal
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gdk-pixbuf-gnome-devel
Requires:	gnome-print-devel >= 0.28
Requires:	libglade-gnome-devel >= 0.13
Requires:	libxml-devel >= 1.8.8
Obsoletes:	libgal19-devel

%description devel
Header files and development documentation for the gal libraries.

%description devel -l pl
Pliki nagwkowe i dokumentacja do bibliotek gal.

%description devel -l pt_BR
Arquivos de incluso necessrios para compilar os aplicativos que usam
o gal.

%description devel -l ru
        
    gal.

%description devel -l uk
  ͦ ȦΦ ¦̦    ˦
     gal.

%package static
Summary:	gal static libraries
Summary(pl):	Biblioteki statyczne gal
Summary(pt_BR):	Bibliotecas estticas do gal
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Gal static libraries.

%description static -l pl
Biblioteki statyczne gal.

%description static -l pt_BR
Bibliotecas estticas do gal.

%prep
%setup -q -n gal-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

sed -i -e 's/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/' configure.in
sed -i -e 's/AM_PROG_XML_I18N_TOOLS/AC_PROG_INTLTOOL/' configure.in

mv -f po/{no,nb}.po

%build
intltoolize --copy --force
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgal.so.*.*.*
%{_datadir}/etable
%{_datadir}/gal

%files devel
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgal.so
%{_libdir}/libgal.la
%attr(755,root,root) %{_libdir}/galConf.sh
%{_includedir}/gal-1.0
%{_pkgconfigdir}/gal.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgal.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gal1.spec,v $
Revision 1.5  2005/03/27 22:15:13  qboosh
- grrr, missing epochs in deps, release 4

Revision 1.4  2005/03/27 21:48:57  qboosh
- release 3

Revision 1.3  2005/03/27 20:42:46  qboosh
- BR: sed 4.0

Revision 1.2  2005/03/27 20:40:05  qboosh
- update configure to build with current intltool; release 2

Revision 1.1  2004/04/15 20:55:40  qboosh
- resurrected from old gal.spec for gnucash tries (updated to 0.24)

Revision 1.47  2003/01/18 22:48:34  juandon
- removed two lines with define

Revision 1.46  2003/01/02 13:48:59  pascalek
- updated to 0.22

Revision 1.45  2002/11/25 14:13:03  ankry
- massive attack: no need for 755 for *.la

Revision 1.44  2002/11/14 09:11:59  pascalek
- updated to 0.21

Revision 1.43  2002/10/14 16:34:32  fastviper
- added patch for configure.in, (duplicate entries in one of macros)

Revision 1.42  2002/10/09 13:14:23  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.41  2002/08/26 13:19:47  qboosh
- -devel R: gdk-pixbuf-gnome-devel, gnome-print-devel, libglade-gnome-devel
- release 3

Revision 1.40  2002/08/17 13:01:34  kloczek
- release 2.

Revision 1.39  2002/08/17 11:19:03  qboosh
- s/xml-i18n-tools/intltool/ in BR

Revision 1.38  2002/06/23 20:52:49  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.37  2002/06/23 20:32:23  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.36  2002/06/21 06:44:41  kloczek
- updated to 0.19.3 (bug fixes release),
- merge translations from KSI,
- updated %files.

Revision 1.35  2002/05/21 23:13:04  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.34  2002/05/21 08:15:20  kloczek
- use new %doc packing infrastructure.

Revision 1.33  2002/05/21 05:01:19  filon
- another fix for automake (now works with 1.6.1)
- release 2

Revision 1.32  2002/05/09 07:44:41  kloczek
- updated to 0.19.2.

Revision 1.31  2002/04/25 16:20:49  arturs
fixed a small typo

Revision 1.30  2002/04/07 01:26:08  kloczek
- release 2: libgal19{,-devel} added for allow upgrade from MDK/RH.

Revision 1.29  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/03/23 04:43:27  kloczek
- updated to 0.19.1 (bugfixes).

Revision 1.27  2002/02/23 02:06:16  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:28:55  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/01/18 02:12:59  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2002/01/13 04:16:52  michuz
- updated to 0.19 (for evolution 1.0.1)

Revision 1.23  2001/11/17 07:32:30  kloczek
- updated to 0.18.1.

Revision 1.22  2001/11/16 05:44:42  kloczek
- merge translations from CNV and adapterize spec.

Revision 1.21  2001/11/13 21:29:44  saq
- up to 0.18
- STB, then rebuild gtkhtml, balsa, gnumeric

Revision 1.20  2001/11/05 13:41:38  kura
- updated to 0.17

Revision 1.19  2001/10/17 02:33:41  kloczek
- updated to 0.14,
- removed i18n obsoleted patch.

Revision 1.18  2001/09/10 12:14:18  kloczek
- added am15 patch and run aclocal, autoconf, automake in correct order.

Revision 1.17  2001/09/10 08:48:13  kloczek
- merged i18n patch from MDK.

Revision 1.16  2001/09/06 18:54:34  kloczek
- updated to 0.11.2,
- replace use_AM_GNU_GETTEXT patch by run sed on top %build,
- use bzipped2 tar ball.

Revision 1.15  2001/07/18 09:09:58  kloczek
- updated to 0.9.1,
- added no_macros_in_AC_OUTPUT patch which removes macros/Makefile from AC_OUTPUT
  because macros isn't distributed in tar ball :>

Revision 1.14  2001/06/01 12:57:46  misiek
- removed Build/Requires: iconv

Revision 1.13  2001/05/20 17:43:14  kloczek
- updated to 0.8,
- make libtool hapy.

Revision 1.12  2001/04/23 15:54:33  kloczek
- release 3: rebuild against gnome-print 0.28.

Revision 1.11  2001/04/20 08:46:07  kloczek
- release 2.

Revision 1.10  2001/04/20 08:11:03  pascalek
- BuildRequires - xml-i18n-tools

Revision 1.9  2001/04/18 21:04:15  kloczek
- updated to 0.7,
- added use_AM_GNU_GETTEXT patch.

Revision 1.8  2001/03/15 17:15:35  misiek
0.5

Revision 1.7  2000/12/16 06:56:37  kloczek
- updated to 0.4.1.

Revision 1.6  2000/12/10 01:11:16  kloczek
- release 2: added "BuildRequires: libglade-devel >= 0.13".

Revision 1.5  2000/12/07 09:08:58  kloczek
- updated to 0.3,
- updated %files list,
- added using %%find_lang macro.

Revision 1.4  2000/11/10 09:54:51  kloczek
- updated to 0.2.2.

Revision 1.3  2000/11/05 22:57:20  kloczek
- release 2: fixed %postun script.

Revision 1.2  2000/11/04 11:21:43  kloczek
- updated to 0.2.1.

Revision 1.1  2000/10/27 05:16:59  kloczek
- written from scrach.
